Skip to main content
GET
Get volume

Authorizations

Authorization
string
header
required

Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).

Path Parameters

volumeId
string<uuid>
required

Response

OK

A network volume. Storage bills hourly regardless of pod state until deleted.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
status
enum<string>
required
Available options:
requested,
provisioning,
ready,
reconciling,
deleting,
deleted,
failed
region
string | null
required

Normalized region. Instances that mount this volume are placed here.

dataCenterId
string
required

Legacy provider location identifier for the Pods API. Prefer region.

datacenter
string
required

Alias for dataCenterId.

sizeGb
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
attachedPodId
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
attachedInstanceId
string<uuid> | null
required

Alias for attachedPodId.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
hourlyRateUsd
string
required

Current total hourly storage charge.

Pattern: ^\d+(?:\.\d{1,6})?$
rateUsdPerHour
string
required

Alias for hourlyRateUsd.

Pattern: ^\d+(?:\.\d{1,6})?$
billsUntilDeleted
enum<boolean>
required
Available options:
true
survivesStop
enum<boolean>
required
Available options:
true
survivesTerminate
enum<boolean>
required
Available options:
true
multiAttach
enum<boolean>
required
Available options:
false
paidThroughAt
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
attachedClusterId
string<uuid> | null
required

Cluster currently mounting this volume.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
delinquency
object | null

Active delinquency episode. Present on GET /v1/gpu/volumes/{id} only.